package dao

import (
	"youngee_m_api/app/entity"
)

type InfoAutoDefaultDao struct{}

// 获取指定 enterpriseId 下的最新一条自动任务配置
func (d InfoAutoDefaultDao) GetAutoDefaultLast(enterpriseId string) entity.InfoAutoDefault {
	autoDefaultInfo := entity.InfoAutoDefault{}
	Db.Model(&entity.InfoAutoDefault{}).Where("enterprise_id = ?", enterpriseId).Last(&autoDefaultInfo)
	return autoDefaultInfo
}

// 获取指定 auto_default_id 的指定字段值
func (d InfoAutoDefaultDao) GetValueByIdFieldName(autoDefaultId int64, fieldName string) int64 {
	var value int64
	Db.Model(&entity.InfoAutoDefault{}).Select(fieldName).Where("auto_default_id = ?", autoDefaultId).Find(&value)
	return value
}
