package vo

type DefaultSearchParam struct {
	EnterpriseId string `json:"enterprise_id"`
	SubAccountId int64  `json:"sub_account_id"`
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
	Platform     int64  `json:"platform"`
	ProjectType  int64  `json:"project_type"` // 任务类型，0全部 1品牌种草，2本地生活
	DefaultType  int64  `json:"default_type"` // 违约类型 1未传初稿 2未发作品 3未传数据 4终止合作 5已解约

	TaskId string `json:"task_id"` // 任务ID
	//ProjectName string `json:"project_name"` // 任务标题
	//CreatorName string `json:"creator_name"` // 创建者
}
