package vo

type GetCodeUrlParam struct {
	EnterpriseId string `json:"enterprise_id"` // 企业id
	SubAccountId int64  `json:"sub_account_id"`
	Amount       int64  `json:"amount"` // 金额（分）
}

type QueryOrderByTradeIdParam struct {
	EnterpriseId string `json:"enterprise_id"` // 企业id
	SubAccountId int64  `json:"sub_account_id"`
	TradeId      string `json:"trade_id"`
}

type ReCodeUrl struct {
	CodeUrl    string `json:"codeUrl"`
	TradeId    string `json:"tradeId"`
	TimeExpire string `json:"timeExpire"`
}
