package vo

type ReLocalStoreExplorePreview struct {
	MainImage     string `json:"mainImage"`
	StoreName     string `json:"storeName"`
	StoreLocation string `json:"storeLocation"`
	StoreId       int64  `json:"storeId"`
	TeamBuyingId  int64  `json:"teamBuyingId"`

	EnterpriseId  string `json:"enterpriseId"`
	SubAccountId  int64  `json:"subAccountId"`
	LocalId       string `json:"localId"`
	LocalPlatform int64  `json:"localPlatform"`
	LocalType     int64  `json:"localType"`
	NeedReserve   int64  `json:"needReserve"` // 待预约
	NeedConfirm   int64  `json:"needConfirm"` // 待确认
	NeedExplore   int64  `json:"needExplore"` // 待探店
	ExploredNum   int64  `json:"exploredNum"` // 已探店
	CreatorName   string `json:"creatorName"`
}
