package vo

type ReProductInfo struct {
	ProductID           int64   `json:"productId"`
	ProductName         string  `json:"productName"`
	ProductCategory     string  `json:"productCategory"`
	ProductPrice        float64 `json:"productPrice"`
	ExclusiveCommission float64 `json:"exclusiveCommission"` // 专属佣金
	CommissionPrice     float64 `json:"commissionPrice"`     // 佣金金额
	ProductDetail       string  `json:"productDetail"`       // 卖点总结
	ProductUrl          string  `json:"product_url"`         // 商品链接
	CreatedAt           string  `json:"createdAt"`
	PhotoMain           string  `json:"photoMail"`    // 门店主图
	PhotoRotates        []Photo `json:"photoRotates"` // 轮播图
	PhotoDetails        []Photo `json:"photoDetails"` // 详情图`
}
