package vo

type ReStoreInfo struct {
	StoreID       int64   `json:"storeId"`
	StoreLink     string  `json:"storeLink"` // 分销链接
	StoreName     string  `json:"storeName"`
	StoreCategory string  `json:"storeCategory"` // 门店类目
	StoreType     int64   `json:"storeType"`     // 门店类型 1单门店，2连锁门店
	StoreLocation string  `json:"storeLocation"`
	TeamNum       int64   `json:"teamNum"` // 包含团购套餐
	StoreDetail   string  `json:"storeDetail"`
	CreatedAt     string  `json:"createdAt"`
	PhotoMain     string  `json:"photoMain"`    // 门店主图
	PhotoRotates  []Photo `json:"photoRotates"` // 轮播图
	PhotoDetails  []Photo `json:"photoDetails"` // 详情图
}

type Photo struct {
	PhotoUrl string `json:"photoUrl"`
	Symbol   int64  `json:"symbol"` // 标志位，1为主图，2为轮播图，3为轮播图视频，4详情图，5详情图视频
}
