package vo

type SupplierSearchParam struct {
	FieldName    string `json:"field_name"`
	EnterpriseId string `json:"enterprise_id"`
	SubAccountId int64  `json:"sub_account_id"`
}

type SupplierInviteParam struct {
	SupplierIds  []int64 `json:"supplier_ids"`
	EnterpriseId string  `json:"enterprise_id"`
	SubAccountId int64   `json:"sub_account_id"`
}

type SupplierSearchInPoolParam struct {
	EnterpriseId string `json:"enterprise_id"`
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
}

type SupplierConfirmingParam struct {
	EnterpriseId string `json:"enterprise_id"`
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
}

type SupplierSearchInTargetTaskParam struct {
	EnterpriseId string `json:"enterprise_id"`
	SubAccountId int64  `json:"sub_account_id"`
	TaskType     int64  `json:"task_type"` // 任务类型：2品牌种草 3本地生活
	TaskId       string `json:"task_id"`
	Status       int64  `json:"status"` // 1可邀约 2邀约中 3合作中
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
}

type SupplierInviteInTargetTaskParam struct {
	EnterpriseId string `json:"enterprise_id"`
	SubAccountId int64  `json:"sub_account_id"`
	TaskType     int64  `json:"task_type"` // 任务类型：2品牌种草 3本地生活
	TaskId       string `json:"task_id"`
	SupplierId   int64  `json:"supplier_id"`
}
