package gorm_model

import (
	"time"
)

type YoungeeKuaishouUserinfo struct {
	Id           int       `gorm:"column:id"`            //id
	Code         string    `gorm:"column:code"`          //扫码后获得的临时票据
	AccessToken  string    `gorm:"column:access_token"`  //调用API需要的参数
	RefreshToken string    `gorm:"column:refresh_token"` //用于刷新access_token
	NickName     string    `gorm:"column:nick_name"`     //快手昵称
	CreateTime   time.Time `gorm:"column:create_time"`   //创建时间
	Expired      int       `gorm:"column:expired"`       //是否可用
	UpdateTime   time.Time `gorm:"column:update_time"`   //授权更新时间
	Ksnumber     string    `gorm:"column:ksnumber"`      //快手号
	Name         string    `gorm:"column:name"`          //所属人
	PhoneNumber  string    `gorm:"column:phone_number"`  //所属人手机号
}

func (m *YoungeeKuaishouUserinfo) TableName() string {
	return "youngee_m_kuaishou_userinfo"
}
