package http_model

type GetAuthorizationRequest struct {
	PageSize int `json:"page_size"`
	PageNum  int `json:"page_num"`
}

type GetAuthorizationResponse struct {
	Nickname    string `json:"nick_name"`
	KSNumber    string `json:"ksnumber"`
	Name        string `json:"name"`
	Phonenumber string `json:"phone_number"`
	UPdatetime  string `json:"update_time"`
	Expired     int    `json:"expired"`
}

func NewGetAuthorizationRequest() *GetAuthorizationRequest {
	return new(GetAuthorizationRequest)
}

func NewGetAuthorizationResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetAuthorizationResponse)
	return resp
}
