package http_model

import "time"

type LocalPreSketchListRequest struct {
	PageSize     int    `json:"page_size"`
	PageNum      int    `json:"page_num"`
	ProjectId    string `json:"project_id"`    // 项目ID
	ScriptStatus int    `json:"script_status"` // 稿件状态,10初稿待审
	EnterpriseId string `json:"enterprise_id"`
}

type GetLocalSketchTaskListData struct {
	TasksketchList []*LocalTasksketchInfo `json:"task_list"`
	Total          string                 `json:"total"`
}

type LocalTasksketchInfo struct {
	Task *LocaLTaskInfo `json:"task_info"`
	DDl  time.Time      `json:"ddl"`
}

func NewLocalPreSketchListRequest() *LocalPreSketchListRequest {
	return new(LocalPreSketchListRequest)
}

func NewLocalPreSketchListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetSketchTaskListData)
	return resp
}
