package http_model

import "time"

type LocalTasksketchlistRequest struct {
	PageSize     int    `json:"page_size"`
	PageNum      int    `json:"page_num"`
	ProjectId    string `json:"project_id"`    // 项目ID
	ScriptStatus int    `json:"script_status"` // 稿件状态
}

type GetsketchlocaltaskListData struct {
	LocalTasksketchList []*LocalTasksketchinfo `json:"task_list"`
	Total               string                 `json:"total"`
}

type LocalTasksketchinfo struct {
	Task     *LocaLTaskInfo `json:"task_info"`
	SubmitAt time.Time      `json:"submit_at"` // 提交时间
	AgreeAt  time.Time      `json:"agree_at"`
	Operator string         `json:"operator"`
	SketchId int            `json:"sketch_id"` //初稿ID
}

func NewLocalTasksketchlistRequest() *LocalTasksketchlistRequest {
	return new(LocalTasksketchlistRequest)
}

func NewLocalTasksketchlistResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetsketchlocaltaskListData)
	return resp
}
