package http_model

import "time"

type PreSketchListRequest struct {
	PageSize     int    `json:"page_size"`
	PageNum      int    `json:"page_num"`
	ProjectId    string `json:"project_id"`    // 项目ID
	ScriptStatus int    `json:"script_status"` // 稿件状态,10初稿待审
	EnterpriseId string `json:"enterprise_id"`
}

type GetSketchTaskListData struct {
	TasksketchList []*TasksketchInfo `json:"task_list"`
	Total          string            `json:"total"`
}

type TasksketchInfo struct {
	Task *TaskInfo `json:"task_info"`
	DDl  time.Time `json:"ddl"`
}

func NewPreSketchListRequest() *PreSketchListRequest {
	return new(PreSketchListRequest)
}

func NewPreSketchListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetSketchTaskListData)
	return resp
}
