package http_model

import "time"

type TasksketchlistRequest struct {
	PageSize     int    `json:"page_size"`
	PageNum      int    `json:"page_num"`
	ProjectId    string `json:"project_id"`    // 项目ID
	ScriptStatus int    `json:"script_status"` // 稿件状态
}

type GetsketchtaskListData struct {
	TasksketchList []*Tasksketchinfo `json:"task_list"`
	Total          string            `json:"total"`
}

type Tasksketchinfo struct {
	Task     *TaskInfo `json:"task_info"`
	SubmitAt time.Time `json:"submit_at"` // 提交时间
	AgreeAt  time.Time `json:"agree_at"`
	Operator string    `json:"operator"`
	SketchId int       `json:"sketch_id"` //初稿ID
}

func NewTasksketchlistRequest() *TasksketchlistRequest {
	return new(TasksketchlistRequest)
}

func NewTasksketchlistResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetsketchtaskListData)
	return resp
}
