package vo

type ReLocalTaskPreview struct {
	MainImage     string `json:"mainImage"`
	StoreName     string `json:"storeName"`
	StoreLocation string `json:"storeLocation"`
	StoreId       int64  `json:"storeId"`
	TeamBuyingId  int64  `json:"teamBuyingId"`

	EnterpriseId  string  `json:"enterpriseId"`
	SubAccountId  int64   `json:"subAccountId"`
	LocalId       string  `json:"localId"`
	LocalPlatform int64   `json:"localPlatform"`
	LocalStatus   int64   `json:"localStatus"`
	EstimatedCost float64 `json:"estimatedCost"` // 任务成本
	LocalForm     int64   `json:"localForm"`
	ContentType   int64   `json:"contentType"`
	NeedReview    int64   `json:"needReview"`
	NeedQuality   int64   `json:"needQuality"`
	NeedCalculate int64   `json:"needCalculate"`
	CreatorName   string  `json:"creatorName"`
	LocalType     int64   `json:"localType"`
	CreatedAt     string  `json:"createdAt"`
	Tools         string  `json:"tools"`
}
