package vo

type ReTaskDefaultPublic struct {
	ProductId    int64   `json:"productId"`
	MainImage    string  `json:"mainImage"`
	ProductName  string  `json:"productName"`
	ProductPrice float64 `json:"productPrice"`

	EnterpriseId      string `json:"enterpriseId"`
	SubAccountId      int64  `json:"subAccountId"`
	TaskId            string `json:"taskId"`
	TaskType          int64  `json:"taskType"` // 任务类型 1品牌种草 2本地生活
	Platform          int64  `json:"platform"`
	TaskForm          int64  `json:"taskForm"`    // 任务形式
	ContentType       int64  `json:"contentType"` // 内容形式
	CreatorName       string `json:"creatorName"`
	NoSketchNum       int64  `json:"sampleNum"` // 未传初稿
	NoLinkNum         int64  `json:"reward"`    // 未发作品
	NoDataNum         int64  `json:"enrollNum"` // 未传数据
	EndCooperationNum int64  `json:"chooseNum"` // 终止合作

}
