package vo

type TeamBuyingUpdateParam struct {
	TeamBuyingId       int64             `json:"team_buying_id"`       // 团购id
	TeamBuyingName     string            `json:"team_buying_name"`     // 团购标题
	TeamBuyingCategory string            `json:"team_buying_category"` // 团购类目（/分隔）
	TeamBuyingPrice    float64           `json:"team_buying_price"`    // 团购售价
	PublicCommission   int64             `json:"public_commission"`    // 公开佣金%
	TeamBuyingDetail   string            `json:"team_buying_detail"`   // 团购详情
	TeamBuyingLink     string            `json:"team_buying_link"`     // 分销链接
	TeamBuyingPhotos   []TeamBuyingPhoto `json:"team_buying_photos"`   // 图片列表
}
