package gorm_model

type RewardStrategy struct {
	RewardStrategyId int64   `gorm:"column:reward_strategy_id;primary_key;AUTO_INCREMENT"` // 悬赏策略id
	SelectionId      string  `gorm:"column:selection_id"`                                  // 带货任务id
	Reward           float64 `gorm:"column:reward"`                                        // 悬赏池总金额
	SaleActual       int64   `gorm:"column:sale_actual"`                                   // 实际带货销量
	PerReward        float64 `gorm:"column:per_reward"`                                    // 每人可获得悬赏金
	StrategyStatus   int64   `gorm:"column:strategy_status"`                               // 悬赏策略状态
}

func (m *RewardStrategy) TableName() string {
	return "reward_strategy"
}
