package gorm_model

type YounggeeSupplier struct {
	SupplierId      int    `gorm:"column:supplier_id;type:int(11);primary_key;AUTO_INCREMENT;comment:服务商ID" json:"supplier_id"`
	SupplierName    string `gorm:"column:supplier_name;type:varchar(255);comment:服务商名称" json:"supplier_name"`
	PhoneNumber     string `gorm:"column:phone_number;type:varchar(255);comment:手机号" json:"phone_number"`
	WechatNumber    string `gorm:"column:wechat_number;type:varchar(255);comment:微信号" json:"wechat_number"`
	WechatQrcode    string `gorm:"column:wechat_qrcode;type:varchar(255);comment:微信二维码" json:"wechat_qrcode"`
	BusinessLicense string `gorm:"column:business_license;type:varchar(255);comment:营业执照url" json:"business_license"`
	Usci            string `gorm:"column:usci;type:varchar(255);comment:统一社会信用代码" json:"usci"`
	CompanyName     string `gorm:"column:company_name;type:varchar(255);comment:公司名称" json:"company_name"`
	IdFront         string `gorm:"column:id_front;type:varchar(255);comment:身份证人像面url" json:"id_front"`
	IdBack          string `gorm:"column:id_back;type:varchar(255);comment:身份证国徽面url" json:"id_back"`
	IdNumber        string `gorm:"column:id_number;type:varchar(255);comment:身份证号" json:"id_number"`
	Name            string `gorm:"column:name;type:varchar(255);comment:姓名" json:"name"`
	UserId          int    `gorm:"column:user_id;type:int(11);default:0;comment:用户表中的用户ID" json:"user_id"`
	SupplierType    int    `gorm:"column:supplier_type;type:int(11);default:0;comment:服务商用户类型，1为个人PR，2为机构" json:"supplier_type"`
	Avater          string `gorm:"column:avatar;type:varchar(255);comment:头像" json:"avater"`
}

func (m *YounggeeSupplier) TableName() string {
	return "younggee_supplier"
}
