package http_model

type PasslocalTaskCoopRequest struct {
	ProjectId   string   `json:"project_id"`
	TaskIds     []string `json:"task_ids"`
	SProjectId  *int     `json:"s_project_id"`
	OperatorId  string   `json:"operator_id"`
	OperateType int      `json:"operate_type"`
	IsSpecial   int      `json:"is_special"`
}

type PasslocalTaskCoopData struct {
}

func NewPasslocalTaskCoopRequest() *PasslocalTaskCoopRequest {
	return new(PasslocalTaskCoopRequest)
}

func NewPasslocalTaskCoopResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(PasslocalTaskCoopData)
	return resp
}
