package http_model

type CreateJobRequest struct {
	JobName              string `json:"job_name"`
	JobDetail            string `json:"job_detail"`
	WorkspacePermission  string `json:"workspace_permission"`
	TaskcenterPermission string `json:"taskcenter_permission"`
	SectaskPermission    string `json:"sectask_permission"`
	FinancialPermission  string `json:"financial_permission"`
	UsercenterPermission string `json:"usercenter_permission"`
	OperatePermission    string `json:"operate_permission"`
	AccountID            int64  `json:"account_id"`
}

type CreateJobResponse struct {
	JobName string `json:"job_name"`
	JobID   int    `json:"job_id"`
}

func NewCreateJobRequest() *CreateJobRequest { return new(CreateJobRequest) }
func NewCreateJobResponse() *CommonResponse {
	return new(CommonResponse)
}
