package http_model

type GetInvoiceInfoRequest struct {
	BillingID string `json:"billing_id"`
}
type InvoiceInfoResponse struct {
	Businessname      string `json:"businessname"`
	TaxCode           string `json:"tax_code"`
	RegisteredAddress string `json:"registered_address"`
	RegisteredPhone   string `json:"registered_phone"`
	Bank              string `json:"bank"`
	BankCardNumber    string `json:"bank_card_number"`
	InvoiceType       int64  `json:"invoice_type"`
}

func NewGetInvoiceInfoRequest() *GetInvoiceInfoRequest {
	return new(GetInvoiceInfoRequest)
}

func NewGetInvoiceInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(InvoiceInfoResponse)
	return resp
}
