package http_model

type AcceptLinkRequest struct {
	TaskIds     string `json:"task_id_list"` //任务id列表
	ProjectId   string `json:"project_id"`
	OperatorId  string `json:"operator_id"`
	OperateType int    `json:"operate_type"`
	Isspecial   int    `json:"is_special"`
}

type AcceptLinkData struct {
	TaskIds []string `json:"task_id_list"` //任务id列表
}

func NewAcceptLinkRequest() *AcceptLinkRequest {
	return new(AcceptLinkRequest)
}
func NewAcceptLinkResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(AcceptLinkData)
	return resp
}
